403Webshell
Server IP : 104.129.129.72  /  Your IP : 216.73.216.229
Web Server : LiteSpeed
System : Linux 123answers 5.15.0-143-generic #153-Ubuntu SMP Fri Jun 13 19:10:45 UTC 2025 x86_64
User : answe8064 ( 1002)
PHP Version : 8.2.28
Disable Function : NONE
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : OFF  |  Sudo : ON  |  Pkexec : ON
Directory :  /usr/sbin/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ Back ]     

Current File : /usr/sbin/update-motd
#!/bin/sh
#
#    update-motd - update the dynamic MOTD immediately
#
#    Copyright (C) 2008-2014 Dustin Kirkland <dustin.kirkland@gmail.com>
#
#    Authors: Dustin Kirkland <dustin.kirkland@gmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, version 3 of the License.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

set -e

if [ "$1" = "--show-only" ]; then
    SHOW_ONLY=true
else
    SHOW_ONLY=false
fi

if ! $SHOW_ONLY && ! touch /var/run/motd.new 2>/dev/null; then
	echo "ERROR: Permission denied, try:" 1>&2
	echo "  sudo $0" 1>&2
	exit 1
fi

if ! $SHOW_ONLY && run-parts --lsbsysinit /etc/update-motd.d > /var/run/motd.new; then
	if mv -f /var/run/motd.new /var/run/motd; then
		cat /var/run/motd
		exit 0
	else
		echo "ERROR: could not install new MOTD" 1>&2
		exit 1
	fi
elif ! $SHOW_ONLY; then
    echo "ERROR: could not generate new MOTD" 1>&2
    exit 2
elif $SHOW_ONLY; then
    run-parts --lsbsysinit /etc/update-motd.d
fi

Youez - 2016 - github.com/yon3zu
LinuXploit